10 Replies Latest reply: Nov 4, 2012 8:52 AM by v8powerforever
v8powerforever Level 1 Level 1 (0 points)

Hi

I wanna play SimCity 2000 and have CD with 9.1 which I wanna install but I'm afraid that when I instal it from the CD, then my computer will be running on 9.1 instead on 10.4? I just want to use it sometimes via the "classsic", how do I do that? Dragging 9.1 system folder on running 10.4 doesn't works, I'm getting: "Classic Startup failed to start due to an error [-1].", it starts from CD though.


Mac OS X (10.4.11)
  • 1. Re: 9.1 running on 10.4
    dalstott Level 4 Level 4 (2,530 points)

    Exactly which model and year Mac are you attempting to install on?

     

    Link to give you a broad picture of running classic.

     

    http://en.wikipedia.org/wiki/Classic_Environment

     

    http://support.apple.com/kb/TS1929

  • 2. Re: 9.1 running on 10.4
    v8powerforever Level 1 Level 1 (0 points)

    I have G4 tower 400Mhz I used to run 9.2 on it then switched to Tiger and trouble is that I don't know that if I boot it from CD running 9.1 and install it will it overwrite Tiger so I will go back in time or will Tiger stay untouched and I will have two systems?

  • 3. Re: 9.1 running on 10.4
    dalstott Level 4 Level 4 (2,530 points)

    I found a link to a discussion on Installing classic mode on Tiger. Some of the simple things like dragging a OS 9 system folder would be worth a try. This would not affect the OS X installation onn the drive.

     

    https://discussions.apple.com/thread/3638622?start=0&tstart=0

     

    The best setup for Tiger and OS9 is to partition the hard drive into two partitions one for OS X and the other for OS9.

     

    I had a Pismo G3 powerbook set up this way and was the best of all worlds. Tiger was the default OS and classic mode was readily available but had some limitations due to the emulation interface. By holding the option key at startup I could choose OS X or OS9 from the startup partition. This way I could run OS9 natively for better performance.

  • 4. Re: 9.1 running on 10.4
    v8powerforever Level 1 Level 1 (0 points)

    I tried drag n drop and "blessed" it, but it won't work and "Classic Startup failed to start due to an error [-1]." error message appears.

  • 5. Re: 9.1 running on 10.4
    dalstott Level 4 Level 4 (2,530 points)

    This was from poster Limnos in the link.

     

    "If all you have are installer versions of OS9 on optical that is where you may run into trouble and may ultimately end up needing copies of the original discs (which likely are no longer available).  You will have to get the computer to boot to the installer disc in order to get it to actually put a usuable copy of OS9 on the computer. "

     

    You are likely going to need the original installer disks or copies of them.

  • 6. Re: 9.1 running on 10.4
    v8powerforever Level 1 Level 1 (0 points)

    Ok now I know why it doesn't works, I deleted "Classic" controller from /System/Library/CoreServices …only where do I get it from now!?

  • 7. Re: 9.1 running on 10.4
    dalstott Level 4 Level 4 (2,530 points)

    If you have the install disks it would be one of them. With the utility Pacifist you can extract the individual app/file/folder and reinstall.

     

    http://www.charlessoft.com/

     

    Pacifist is a shareware application that opens Mac OS X .pkg package files, .dmg disk images, and .zip, .tar, .tar.gz, .tar.bz2, and .xar archives and allows you to extract individual files and folders out of them. This is useful, for instance, if an application which is installed by the operating system becomes damaged and needs to be reinstalled without the hassle of reinstalling all of Mac OS X, or if you want to inspect a downloaded package to see what it will install before installing it. Pacifist is also able to verify existing installations and find missing or altered files*, and Pacifist can also examine the kernel extensions installed in your system to let you see what installer installed them, and whether the installer was made by Apple or a third-party.

    Pacifist is compatible with Mac OS X 10.4.11 or higher, including Mac OS X 10.8 “Mountain Lion”. It is also compiled as a Universal Binary for maximum performance on both PowerPC and Intel-based Macs.

  • 8. Re: 9.1 running on 10.4
    v8powerforever Level 1 Level 1 (0 points)

    error.pngOK I found the missing thing called ClassicStartup on my backup drive, but now I'm getting this message when I'm trying to initiate Classic and I tried to "bless" it like it says in one of the links that You gave me.

  • 9. Re: 9.1 running on 10.4
    dalstott Level 4 Level 4 (2,530 points)

    I'm not sure what all this means and can only suggest to try log in as Root and see if that allows it to run. I haven't done this for years so here are some instructions. Good luck. 

     

    http://support.apple.com/kb/ht1528

     

    http://www.spy-hill.com/~myers/help/apple/EnableRoot.html

     

    http://www.howtogeek.com/howto/35132/how-to-enable-the-root-user-in-mac-os-x/

  • 10. Re: 9.1 running on 10.4
    v8powerforever Level 1 Level 1 (0 points)

    I had root enabled for long time, question is how to run it on non-root account…